# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileSharePropsPlugin Class Reference

This plugin provides a page to KPropsDlg, showing the "file sharing" options. More...

`#include <kfilesharedlg.h>`

Inheritance diagram for KFileSharePropsPlugin:

[legend]
Collaboration diagram for KFileSharePropsPlugin:

[legend]
List of all members.

## Public Member Functions

| KFileSharePropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
| Apply all changes to the file.
QWidget * | page () const

## Static Public Member Functions

bool | supports (const KFileItemList &items)

## Protected Slots

void | slotConfigureFileSharing ()

## Detailed Description

This plugin provides a page to KPropsDlg, showing the "file sharing" options.

Author:
  David Faure <david@mandrakesoft.com>

Since:
  3.1

Definition at line 33 of file kfilesharedlg.h.

## Member Function Documentation

void KFileSharePropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Apply all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 188 of file kfilesharedlg.cpp. References QPtrListIterator::current(), QRadioButton::isChecked(), KPropertiesDialog::items(), KPropsDlgPlugin::properties, and KFileShare::readConfig().

The documentation for this class was generated from the following files:

- kfilesharedlg.h
- kfilesharedlg.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:18:28 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001